Load SOSI files in QGIS 1.7 with GDAL 1.8

2011-04-07 04:37 AM - hborch -

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: Vectors

Affected QGIS version:2.0.1 Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 13767

Description

I have installed the QGIS 1.7 (installed  20.03.2011)   with GDAL 1.8 which is announced to support SOSI import. After activating

GDALtools 1.2.25 I exspected SOSI files to be in the list of vector formats that could be imported, but it does not appear in the list. If I try

to import by choosin all files *.* and point on the Telemark.sos file I get the error message "Telemark.sos is not a valid or recognized data

source"

History

#1 - 2011-04-07 05:03 AM - Even Rouault

SOSI support does not work out-of-the-box. As underlined in http://gdal.org/ogr/ogr_formats.html , you need to compile GDAL 1.8 against the "FYBA"

third-party library (which is closed-source currently). See http://trac.osgeo.org/gdal/ticket/3638 for the details.

#2 - 2011-09-01 02:38 AM - Giuseppe Sucameli

- Pull Request or Patch supplied set to No

- Resolution set to invalid

- Status changed from Open to Closed

- Category changed from GDAL Tools to Vectors

#3 - 2013-10-22 03:03 AM - Stefan Blumentrath

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.0.1

Some updates on that issue...

GDAL still has to be build explicitly with SOSI support, which does not happen out-of-the-box. But recently the build process for GDAL (1.92 and later) with

SOSI support advanced:

Source code for OpenFYBA can be downloaded from:

http://github.com/kartverket/fyba

The OpenFYBA third party library was build successfully both on Linux and Windows (Win 7 with MS Visual C++ 2012). Once OpenFYBA is build GDAL

can be compiled against it for SOSI support.

See also:

http://trac.osgeo.org/gdal/wiki/SOSI
#4 - 2014-05-09 04:23 AM - Stefan Blumentrath

On Windows, SOSI support in GDAL can now also be build as a plugin. A ready to use binary of the plugin is available in OSGeo4W.

#5 - 2014-05-09 04:23 AM - Stefan Blumentrath

On Windows, SOSI support in GDAL can now also be build as a plugin. A ready to use binary of the plugin is available in OSGeo4W.

2025-04-27 2/2


